<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Tabbar/XHXTabbar.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_tabbar_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXTabbar.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_tabbar_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXTabbar.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  AAA</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Topredator on 2018/7/9.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_x_h_x_tab_item_8h.html">XHXTabItem.h</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// 主要是确定指示器的位置及尺寸 (居中显示)</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="struct_indicator_positon.html">   13</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_indicator_positon.html">IndicatorPositon</a>{</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="struct_indicator_positon.html#a9e1bf6a0e8e67bbd5e7124cb46c984ce">   14</a></span>&#160;    CGFloat <a class="code" href="struct_indicator_positon.html#a0cc62e90ead8662012d0c020315804fe">bottom</a>, <a class="code" href="struct_indicator_positon.html#a9e1bf6a0e8e67bbd5e7124cb46c984ce">width</a>, <a class="code" href="struct_indicator_positon.html#a7dcdaff62b0105b83075a9ddf9b3127a">height</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="_x_h_x_tabbar_8h.html#a530f777305eaa66590585aaf74a5c2dd">   15</a></span>&#160;}<a class="code" href="_x_h_x_tabbar_8h.html#a530f777305eaa66590585aaf74a5c2dd">IndicatorPositon</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="_x_h_x_tabbar_8h.html#a927bbd936201fe9bc1fc044c5f4a3177">   17</a></span>&#160;UIKIT_STATIC_INLINE <a class="code" href="struct_indicator_positon.html">IndicatorPositon</a> <a class="code" href="_x_h_x_tabbar_8h.html#a927bbd936201fe9bc1fc044c5f4a3177">IndicatorPositonMake</a>(CGFloat bottom, CGFloat width, CGFloat height) {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="struct_indicator_positon.html">IndicatorPositon</a> position = {bottom, width, height};</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keywordflow">return</span> position;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;}</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="_x_h_x_tabbar_8h.html#a5ac0fa200b0958f54bff23a7e051f724">   23</a></span>&#160;<span class="keyword">typedef</span> <a class="code" href="_x_h_x_tabbar_8h.html#a5ac0fa200b0958f54bff23a7e051f724">NS_ENUM</a>(NSInteger, XHXTabBarIndicatorAnimationStyle) {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    XHXTabBarIndicatorAnimationStyleDefault = 0, </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    XHXTabBarIndicatorAnimationStyleElasticity, <span class="comment">// 弹性动画</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;};</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="protocol_x_h_x_tabbar_delegate-p.html">   29</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a> &lt;NSObject&gt;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">@optional</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;- (BOOL)tabbar:(<a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)tabbar shouldSelectedItemAtIndex:(NSInteger)index;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * 将要切换到指定index</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;- (void)tabbar:(<a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)tabbar willSelectItemAtIndex:(NSInteger)index;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment"> * 已经切换到指定index</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> */</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;- (void)tabbar:(<a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)tabbar didSelectedItemAtIndex:(NSInteger)index;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html">   45</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_tabbar.html">XHXTabbar</a> : UIView</div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">   46</a></span>&#160;<span class="keyword">@property</span> (nonatomic, weak) id &lt;XHXTabbarDelegate&gt; <a class="code" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">delegate</a>;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">   47</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSArray &lt;XHXTabItem *&gt; *<a class="code" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">items</a>;</div>
<div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">   49</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">indicatorColor</a>;</div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">   51</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIImage *<a class="code" href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">indicatorImage</a>;</div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">   53</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">indicatorRadius</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">   56</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">itemTitleColor</a>;</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">   58</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">itemTitleSelectedColor</a>;</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">   60</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">itemTitleFont</a>;</div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">   62</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">itemTitleSelectedFont</a>;</div>
<div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">   64</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">badgeBackgroundColor</a>;</div>
<div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">   66</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIColor *<a class="code" href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">badgeTitleColor</a>;</div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">   68</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) UIFont *<a class="code" href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">badgeTitleFont</a>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">   71</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">leadAndTrailSpace</a>;</div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">   73</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) NSUInteger <a class="code" href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">selectedItemIndex</a>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a6d7c7009a39cdd2cded173d48404f97f">   75</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_tabbar.html#a6d7c7009a39cdd2cded173d48404f97f">itemWidth</a>;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a9ce3f2ef86b0a4eed4776e3715953718">   76</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_tabbar.html#a9ce3f2ef86b0a4eed4776e3715953718">itemHeight</a>;</div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a65f1a73400a0b6b7cf9e1f430833f2c2">   77</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) CGFloat <a class="code" href="interface_x_h_x_tabbar.html#a65f1a73400a0b6b7cf9e1f430833f2c2">itemMinWidth</a>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a8a713b28a4ef3367938759b64efbc760">   79</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) UIEdgeInsets <a class="code" href="interface_x_h_x_tabbar.html#a8a713b28a4ef3367938759b64efbc760">indicatorInsets</a>;</div>
<div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">   81</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign) XHXTabBarIndicatorAnimationStyle <a class="code" href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">indicatorAnimationStyle</a>;</div>
<div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#aae5cce7a2b27e4db3c70b9d2ddd5995d">   85</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, getter = isItemFontChangeFollowContentScroll) BOOL <a class="code" href="interface_x_h_x_tabbar.html#aae5cce7a2b27e4db3c70b9d2ddd5995d">itemFontChangeFollowContentScroll</a>;</div>
<div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a60c87b42e1e32a34e91e0cecbbda8e99">   89</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, getter = isItemColorChangeFollowContentScroll) BOOL <a class="code" href="interface_x_h_x_tabbar.html#a60c87b42e1e32a34e91e0cecbbda8e99">itemColorChangeFollowContentScroll</a>;</div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a5d6a4f150b7cdfcbcc85d5849471c5e9">   93</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, getter = isIndicatorScrollFollowContent) BOOL <a class="code" href="interface_x_h_x_tabbar.html#a5d6a4f150b7cdfcbcc85d5849471c5e9">indicatorScrollFollowContent</a>;</div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="interface_x_h_x_tabbar.html#a84895d39031a0af0f7e9c60cee8c589a">   97</a></span>&#160;<span class="keyword">@property</span> (nonatomic, assign, getter = isItemContentHorizontalCenter) BOOL <a class="code" href="interface_x_h_x_tabbar.html#a337605c55ffd23d8e2e7990130ae9f9f">itemContentHorizontalCenter</a>;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;- (<a class="code" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *)<a class="code" href="interface_x_h_x_tabbar.html#acfd1ca9501397500ff3b4dfb2ef6ce15">selectedItem</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;- (void)setTitles:(NSArray &lt;NSString *&gt;*)titles;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;- (void)setIndicatorInsets:(UIEdgeInsets)indicatorInsets tapSwitchAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;- (void)setIndicatorSize:(CGSize)indicatorSize tapSwitchAnimated:(BOOL)animated __attribute__((deprecated(&quot;已过期, 建议使用setIndicatorPosition:tapSwitchAnimated:替换&quot;)));</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;- (void)setIndicatorPosition:(<a class="code" href="struct_indicator_positon.html">IndicatorPositon</a>)indicatorPosition tapSwitchAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;- (void)setIndicatorWidthFixTextAndMarginTop:(CGFloat)top</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                                marginBottom:(CGFloat)bottom</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;                           tapSwitchAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;- (void)setItemContentHorizontalCenterWithVerticalOffset:(CGFloat)verticalOffset</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                                                 spacing:(CGFloat)spacing;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; </div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;- (void)setNumberBadgeMarginTop:(CGFloat)marginTop</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;              centerMarginRight:(CGFloat)centerMarginRight</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            titleHorizonalSpace:(CGFloat)titleHorizonalSpace</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;             titleVerticalSpace:(CGFloat)titleVerticalSpace;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;- (void)setDotBadgeMarginTop:(CGFloat)marginTop</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;           centerMarginRight:(CGFloat)centerMarginRight</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;                  sideLength:(CGFloat)sideLength;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160; </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;- (void)<a class="code" href="interface_x_h_x_tabbar.html#a084470d2209a9b1dbd3c006f24fe1d0a">setTabItemsVerticalLayout</a>;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160; </div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;- (void)setTabItemsVerticalLayoutWithItemHeight:(CGFloat)height;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160; </div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;- (void)setScrollEnabledAndItemWidth:(CGFloat)width;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;- (void)setScrollEnabledAndItemFitTextWidthWithSpacing:(CGFloat)spacing;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;- (void)setScrollEnabledAndItemFitTextWidthWithSpacing:(CGFloat)spacing</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;                                              minWidth:(CGFloat)minWidth;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160; </div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;- (void)updateSubViewsWhenParentScrollViewScroll:(UIScrollView *)scrollView;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a5d6a4f150b7cdfcbcc85d5849471c5e9"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a5d6a4f150b7cdfcbcc85d5849471c5e9">XHXTabbar::indicatorScrollFollowContent</a></div><div class="ttdeci">BOOL indicatorScrollFollowContent</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00093">XHXTabbar.h:93</a></div></div>
<div class="ttc" id="a_x_h_x_tab_item_8h_html"><div class="ttname"><a href="_x_h_x_tab_item_8h.html">XHXTabItem.h</a></div></div>
<div class="ttc" id="a_x_h_x_tabbar_8h_html_a5ac0fa200b0958f54bff23a7e051f724"><div class="ttname"><a href="_x_h_x_tabbar_8h.html#a5ac0fa200b0958f54bff23a7e051f724">NS_ENUM</a></div><div class="ttdeci">typedef NS_ENUM(NSInteger, XHXTabBarIndicatorAnimationStyle)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00023">XHXTabbar.h:23</a></div></div>
<div class="ttc" id="astruct_indicator_positon_html_a7dcdaff62b0105b83075a9ddf9b3127a"><div class="ttname"><a href="struct_indicator_positon.html#a7dcdaff62b0105b83075a9ddf9b3127a">IndicatorPositon::height</a></div><div class="ttdeci">CGFloat height</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00014">XHXTabbar.h:14</a></div></div>
<div class="ttc" id="aprotocol_x_h_x_tabbar_delegate-p_html"><div class="ttname"><a href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate-p</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00029">XHXTabbar.h:29</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a12d3f4746b4acba69f9cff3fb09341bb"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">XHXTabbar::indicatorRadius</a></div><div class="ttdeci">CGFloat indicatorRadius</div><div class="ttdoc">指示器圆角</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00053">XHXTabbar.h:53</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a65f1a73400a0b6b7cf9e1f430833f2c2"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a65f1a73400a0b6b7cf9e1f430833f2c2">XHXTabbar::itemMinWidth</a></div><div class="ttdeci">CGFloat itemMinWidth</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00077">XHXTabbar.h:77</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html"><div class="ttname"><a href="interface_x_h_x_tabbar.html">XHXTabbar</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00045">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ac77c5041eabf4225149e38687fc2c720"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">XHXTabbar::itemTitleFont</a></div><div class="ttdeci">UIFont * itemTitleFont</div><div class="ttdoc">标题字体</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00060">XHXTabbar.h:60</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a264e6def38d8e0635b5ce807d06b2072"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">XHXTabbar::badgeTitleFont</a></div><div class="ttdeci">UIFont * badgeTitleFont</div><div class="ttdoc">badge标题字体</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00068">XHXTabbar.h:68</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ab764aa5e1e88498b4012b3699337fcdb"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">XHXTabbar::badgeBackgroundColor</a></div><div class="ttdeci">UIColor * badgeBackgroundColor</div><div class="ttdoc">badge背景颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00064">XHXTabbar.h:64</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a2f016a28a26a1fd8ee49b0b07101fb28"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">XHXTabbar::badgeTitleColor</a></div><div class="ttdeci">UIColor * badgeTitleColor</div><div class="ttdoc">badge标题颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00066">XHXTabbar.h:66</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_aae5cce7a2b27e4db3c70b9d2ddd5995d"><div class="ttname"><a href="interface_x_h_x_tabbar.html#aae5cce7a2b27e4db3c70b9d2ddd5995d">XHXTabbar::itemFontChangeFollowContentScroll</a></div><div class="ttdeci">BOOL itemFontChangeFollowContentScroll</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00085">XHXTabbar.h:85</a></div></div>
<div class="ttc" id="astruct_indicator_positon_html_a9e1bf6a0e8e67bbd5e7124cb46c984ce"><div class="ttname"><a href="struct_indicator_positon.html#a9e1bf6a0e8e67bbd5e7124cb46c984ce">IndicatorPositon::width</a></div><div class="ttdeci">CGFloat width</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00014">XHXTabbar.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_aa30963ce3b7efe12b4ac1aaa5cd4576d"><div class="ttname"><a href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">XHXTabbar::selectedItemIndex</a></div><div class="ttdeci">NSUInteger selectedItemIndex</div><div class="ttdoc">选中的item下标</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00073">XHXTabbar.h:73</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_aeac3462e1729b0f49caef4ac500dd88b"><div class="ttname"><a href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">XHXTabbar::itemTitleSelectedFont</a></div><div class="ttdeci">UIFont * itemTitleSelectedFont</div><div class="ttdoc">选中时标题字体</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00062">XHXTabbar.h:62</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ab61cd8f6987abbc9fb6ab953cc39c3b3"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">XHXTabbar::indicatorColor</a></div><div class="ttdeci">UIColor * indicatorColor</div><div class="ttdoc">指示器颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00049">XHXTabbar.h:49</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_acfd1ca9501397500ff3b4dfb2ef6ce15"><div class="ttname"><a href="interface_x_h_x_tabbar.html#acfd1ca9501397500ff3b4dfb2ef6ce15">-[XHXTabbar selectedItem]</a></div><div class="ttdeci">XHXTabItem * selectedItem()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8m_source.html#l00055">XHXTabbar.m:113</a></div></div>
<div class="ttc" id="a_x_h_x_tabbar_8h_html_a530f777305eaa66590585aaf74a5c2dd"><div class="ttname"><a href="_x_h_x_tabbar_8h.html#a530f777305eaa66590585aaf74a5c2dd">IndicatorPositon</a></div><div class="ttdeci">struct IndicatorPositon IndicatorPositon</div></div>
<div class="ttc" id="astruct_indicator_positon_html_a0cc62e90ead8662012d0c020315804fe"><div class="ttname"><a href="struct_indicator_positon.html#a0cc62e90ead8662012d0c020315804fe">IndicatorPositon::bottom</a></div><div class="ttdeci">CGFloat bottom</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00014">XHXTabbar.h:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tab_item_html"><div class="ttname"><a href="interface_x_h_x_tab_item.html">XHXTabItem</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tab_item_8h_source.html#l00018">XHXTabItem.h:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_ab3e65e6a08789fb89c27445cf5e0dba0"><div class="ttname"><a href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">XHXTabbar::delegate</a></div><div class="ttdeci">id&lt; XHXTabbarDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00046">XHXTabbar.h:46</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a80c7d1daf6a886d7ccc58dd4b171d2bc"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">XHXTabbar::leadAndTrailSpace</a></div><div class="ttdeci">CGFloat leadAndTrailSpace</div><div class="ttdoc">tabbar边缘 与第一个和最后一个item的距离</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00071">XHXTabbar.h:71</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a084470d2209a9b1dbd3c006f24fe1d0a"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a084470d2209a9b1dbd3c006f24fe1d0a">-[XHXTabbar setTabItemsVerticalLayout]</a></div><div class="ttdeci">void setTabItemsVerticalLayout()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8m_source.html#l00055">XHXTabbar.m:492</a></div></div>
<div class="ttc" id="astruct_indicator_positon_html"><div class="ttname"><a href="struct_indicator_positon.html">IndicatorPositon</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00013">XHXTabbar.h:13</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_afbfabce47d56f30217ee488b6bda2a1e"><div class="ttname"><a href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">XHXTabbar::items</a></div><div class="ttdeci">NSArray&lt; XHXTabItem * &gt; * items</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00047">XHXTabbar.h:47</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a8a713b28a4ef3367938759b64efbc760"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a8a713b28a4ef3367938759b64efbc760">XHXTabbar::indicatorInsets</a></div><div class="ttdeci">UIEdgeInsets indicatorInsets</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00079">XHXTabbar.h:79</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a1522de75a9e78fe1fe820877373d8a74"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">XHXTabbar::indicatorAnimationStyle</a></div><div class="ttdeci">XHXTabBarIndicatorAnimationStyle indicatorAnimationStyle</div><div class="ttdoc">指示器的动画类型</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00081">XHXTabbar.h:81</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a6d7c7009a39cdd2cded173d48404f97f"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a6d7c7009a39cdd2cded173d48404f97f">XHXTabbar::itemWidth</a></div><div class="ttdeci">CGFloat itemWidth</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00075">XHXTabbar.h:75</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a337605c55ffd23d8e2e7990130ae9f9f"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a337605c55ffd23d8e2e7990130ae9f9f">XHXTabbar::itemContentHorizontalCenter</a></div><div class="ttdeci">BOOL itemContentHorizontalCenter</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00097">XHXTabbar.h:97</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a60c87b42e1e32a34e91e0cecbbda8e99"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a60c87b42e1e32a34e91e0cecbbda8e99">XHXTabbar::itemColorChangeFollowContentScroll</a></div><div class="ttdeci">BOOL itemColorChangeFollowContentScroll</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00089">XHXTabbar.h:89</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_aa90ed32ff3e9159bd9ef774120baad42"><div class="ttname"><a href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">XHXTabbar::itemTitleSelectedColor</a></div><div class="ttdeci">UIColor * itemTitleSelectedColor</div><div class="ttdoc">选中时标题颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00058">XHXTabbar.h:58</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_adee6a516a5fb149e96e648f4df5dd71d"><div class="ttname"><a href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">XHXTabbar::itemTitleColor</a></div><div class="ttdeci">UIColor * itemTitleColor</div><div class="ttdoc">标题颜色</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00056">XHXTabbar.h:56</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a8f6cd4d65bbef86bdf40025e700bba71"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">XHXTabbar::indicatorImage</a></div><div class="ttdeci">UIImage * indicatorImage</div><div class="ttdoc">指示器图片</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00051">XHXTabbar.h:51</a></div></div>
<div class="ttc" id="ainterface_x_h_x_tabbar_html_a9ce3f2ef86b0a4eed4776e3715953718"><div class="ttname"><a href="interface_x_h_x_tabbar.html#a9ce3f2ef86b0a4eed4776e3715953718">XHXTabbar::itemHeight</a></div><div class="ttdeci">CGFloat itemHeight</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00076">XHXTabbar.h:76</a></div></div>
<div class="ttc" id="a_x_h_x_tabbar_8h_html_a927bbd936201fe9bc1fc044c5f4a3177"><div class="ttname"><a href="_x_h_x_tabbar_8h.html#a927bbd936201fe9bc1fc044c5f4a3177">IndicatorPositonMake</a></div><div class="ttdeci">UIKIT_STATIC_INLINE IndicatorPositon IndicatorPositonMake(CGFloat bottom, CGFloat width, CGFloat height)</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_tabbar_8h_source.html#l00017">XHXTabbar.h:17</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_152ca523aa661d9da663683c4ee95b4f.html">Tabbar</a></li><li class="navelem"><a class="el" href="_x_h_x_tabbar_8h.html">XHXTabbar.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
